my Top page| ドジ話の目次| 前のドジ話次のドジ話

tulip.o と tulip_old.o モジュール

  2004年1月1日(木)

  明けまして、おめでとうございます。 m(_ _)m

 Eva のバージョンアップが終わって、ネットワーク関連の設定をしようとする
と上手くいきません。NIC には Linksys EtherFast 10/100LAN Card を使ってい
ます。モジュールはtulip.o です。
 ハード的には問題ないですし、OS レベルでは認識はしているものの、外部とは
通信できません。設定のどこかにミスがあるのだろうと何度も何度もチェックし
ましたが、ミスはありません。???の状態になりました。

 以前はどうだったかと、過去の設定状況を調べてみました。Linux 2.2 では、問
題なく使えてましたので、このカーネルバージョンで再起動してみました。
すると、ちゃんと認識し稼働するではありませんか。えーーっ???
何で、Linux 2.4 じゃ駄目なん?

 で、Linux 2.4 のネット関連モジュールを調べてみると、何と、
tulip と tulip_old という2つのモジュール系列があるじゃありませんか。
早速、tulip_old.o を tulip.o として上書きコピーして、再起動。
ちゃんと稼働してくれました。
# これに、丸1日悩まされました。トホホ。

/lib/modules/2.4.18-0vl3/kernel/drivers/net/tulip/tulip.o
/lib/modules/2.4.18-0vl3/kernel/drivers/net/tulip_old/tulip_old.o

この後、カーネルのバージョンアップをしてますが、tulip は同じように2系列
あります。


my Top page| ドジ話の目次| 前のドジ話次のドジ話